/*
 * ObjectData.cs --
 *
 * Copyright (c) 2007-2012 by Joe Mistachkin.  All rights reserved.
 *
 * See the file "license.terms" for information on usage and redistribution of
 * this file, and for a DISCLAIMER OF ALL WARRANTIES.
 *
 * RCS: @(#) $Id: $
 */

using System;
using Eagle._Attributes;
using Eagle._Components.Public;

namespace Eagle._Interfaces.Public
{
    [ObjectId("a2691e49-85f6-4df3-8725-3aded340e6eb")]
    public interface IObjectData : IIdentifier, IWrapperData
    {
        Type Type { get; set; }
        ObjectFlags Flags { get; set; }
        int ReferenceCount { get; set; }
        string InterpName { get; set; }
    }
}
